#include <stdio.h>
#include <jstring.h>

const JCHAR set[] = {
    "ab\x81\x41\x81\x42\cd\x81"
};

void main()
  {
    JMOJI c;
    const JCHAR *str;

    str = set;
    for( ; *str != '\0'; ) {
	str = jgetmoji( str, &c );
	printf( "Character code 0x%2.2x\n", c );
    }
  }
//************ Sample program output ************
//Character code 0x61
//Character code 0x62
//Character code 0x8141
//Character code 0x8142
//Character code 0x63
//Character code 0x64
//Character code 0x00
